Bug 246262 - dns/powerdns: update to 4.3.0
Summary: dns/powerdns: update to 4.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL: https://Blog.PowerDNS.com/2020/04/07/...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-05-06 18:40 UTC by yds
Modified: 2020-05-08 07:33 UTC (History)
3 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
update to 4.3.0 (11.31 KB, patch)
2020-05-06 18:40 UTC, yds
no flags Details | Diff
update to 4.3.0 rename patch-pdns_dns__random.cc to patch-dns_random.cc (11.77 KB, patch)
2020-05-06 19:42 UTC, yds
no flags Details | Diff
update to 4.3.0 rename patch-pdns_dns__random.cc to patch-dns_random.cc (13.60 KB, patch)
2020-05-07 16:22 UTC, yds
yds: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yds 2020-05-06 18:40:11 UTC
Created attachment 214202 [details]
update to 4.3.0

this patch updates to 4.3.0 and adds creation and tracking the new `/var/run/pdns` RUNDIR for sockets and pidfile.

added OPTIONS LMDB backend
removed OPTIONS MyDNS backend
removed OPTIONS OpenDBX backend
removed patch-fix_memleak_bindbackend

added `pidfile=/var/run/pdns/pdns_server.pid` to the rc script.

updated pkg-descr with a more descriptive blurb from their web page.

similar to what I did for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244657
Comment 1 yds 2020-05-06 19:42:35 UTC
Created attachment 214210 [details]
update to 4.3.0 rename patch-pdns_dns__random.cc to patch-dns_random.cc

cleaner patch with rename of patch-pdns_dns__random.cc to patch-dns_random.cc
Comment 2 Kurt Jaeger freebsd_committer 2020-05-07 14:47:07 UTC
Testbuild says:
%%PGSQL%%%%PORTDOCS%%%%DOCSDIR%%/4.2.0_to_4.3.0_schema.pgsql.sql
is missing in pkg-plist.

Now waiting for maintainer to approve.
Comment 3 yds 2020-05-07 16:22:42 UTC
Created attachment 214238 [details]
update to 4.3.0 rename patch-pdns_dns__random.cc to patch-dns_random.cc

(In reply to Kurt Jaeger from comment #2)
account for the omitted `schema` files in pkg-plist in the latest patch.
Comment 4 Ralf van der Enden 2020-05-08 07:25:57 UTC
Thanks for the patch.
Comment 5 commit-hook freebsd_committer 2020-05-08 07:33:57 UTC
A commit references this bug:

Author: pi
Date: Fri May  8 07:33:51 UTC 2020
New revision: 534332
URL: https://svnweb.freebsd.org/changeset/ports/534332

Log:
  dns/powerdns: update 4.2.1 -> 4.3.0

  Please note that 4.3.0 comes with a mandatory database schema upgrade.
  See: https://doc.powerdns.com/authoritative/upgrading.html#x-to-4-3-0

  - added OPTIONS LMDB backend
  - removed OPTIONS MyDNS backend
  - removed OPTIONS OpenDBX backend
  - removed patch-fix_memleak_bindbackend
  - added `pidfile=/var/run/pdns/pdns_server.pid` to the rc script.
  - updated pkg-descr with a more descriptive blurb from their web page.

  PR:		246262
  Submitted by:	yds@Necessitu.de
  Approved by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Relnotes:	https://blog.powerdns.com/2020/04/07/powerdns-authoritative-4-3-0/

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/patch-configure
  head/dns/powerdns/files/patch-dns_random.cc
  head/dns/powerdns/files/patch-fix_memleak_bindbackend
  head/dns/powerdns/files/patch-pdns_dns__random.cc
  head/dns/powerdns/files/pdns.in
  head/dns/powerdns/files/pkg-message.in
  head/dns/powerdns/pkg-descr
  head/dns/powerdns/pkg-plist